;      
;       
;     -    -   2 ,      2 ,
;   / 2 .
;            -  .
;            -
;     48    .
;
 
RShift16_N	macro	A_Arg,A1A,NumShift
;    
 local a = 0
    while a < NumShift
	bcf	_C	;  1    
 rrcf A_Arg+1,F,A1A	;   
 rrcf A_Arg+0,F,A1A	;  /8
a += 1
    endw
 endm
LShift24_N	macro	A_Arg,A1A,NumShift
;    
 local a = 0
    while a < NumShift
	bcf	_C	;  1    
 rlcf A_Arg+0,F,A1A	;   
 rlcf A_Arg+1,F,A1A	;  /8
 rlcf A_Arg+2,F,A1A	;  /8
a += 1
    endw
 endm

;      
Step_0; ;   0  2 /  
;  2 -    -      
; **********   1//1    ************
;							 ADC_Out+0/2/4/6 
#ifdef	PCPWM_IRAMY; Yes;   IRAMY =  
 movlf	0xC0,ADC_Work+0,BANKED	; ,   	
 setf	ADC_Work+1				;       
 Sub16	ADC_Work+0,BANKED,ADC_Out+0,BANKED	;ArgB,A1B,ArgA,A1A 	;   - 
 movff16 ADC_Work+0,ADC_Out+0	;
#endif
#ifdef	PCPWM_Present
 btfss PCPWM_Flag1,5,ACCESS;5=  /    (    )	
 	bra	Done2_S1
 movff	Par_T,WREG	;     
 subwf	ADC_Out+1,W,BANKED;ACCESS; Subtract W from f
 bc	TempGt;  
 ;LED0_Clear;		bcf	LED0_PORT,LED0_Pin,ACCESS
 bra		Done_S1
TempGt;  
;	LED0_Set
 movlw	0x5	;  =6 (   )
 call MotorFault	;  PCPWM	
Done_S1
#endif
;   ""       
; (        )
;   -  2  - " "  ""
; "" -    ,     .
; "" -   " " -     
;        /.
;    -     =0.
;    -     2    .
 FXM0808SL	Adc_Corr+2,	bnk,	d'130'	;     ""

;#ifdef	PCPWM_IRAMY; Yes;   IRAMY =  
;#else
; Neg16		PRODL,		acs ;   
;#endif

;    IRAMX  IRAMY -    0
 #ifdef	PCPWM_IRAMY; Yes;   IRAMY =  
  Add16L		PRODL,		acs,	0xB4f*0x8;   180=0xB4   F 
 #else ;  IRAMX =  
  Add16L		PRODL,		acs,	0x5Af*0x8;   90=0x5A   F 
 #endif ;ifdef	PCPWM_IRAMY; Yes;   IRAMY =  

 FXM1616U2	ADC_Work+0,	bnk,	ADC_Out+0,	bnk,	PRODL,	acs,	ADC_Work+7,	bnk;
 RShift16_N	ADC_Work+2,	bnk,	3	; 3   2 
 movff_N	ADC_Work+2,	Adc_Volt+2,2;   -    
Done2_S1	;      
;
 incf	ADC_Step,F,bnk	; bnK Acs BnK aCs AcS bNk Bnk
 retlw	0x0

Step_1;;   1  3  
;  2 - ;  2 -    -      

;   IRAMX  IRAMY    .
;  IRAMX       ,  IRAMY .
;      -  16     IRAMY 
;     0xFFC0  IRAMY 
#ifdef	PCPWM_Present
#ifdef PCPWM_Board ;    /  
;          
	movf ADC_Out+3,W,BANKED	;    
;      
		extern	TabDeltAngle,TabPwmFreq	;   PCPWM_3F_4431.asm~112
;NumPwmFreq equ (TabDeltAngle-TabPwmFreq)/6;     PWM 
;   8     - ,     
;      .
	mullw	d'20';NumPwmFreq; equ (TabDeltAngle-TabPwmFreq)/6;     PWM
 	movlw	0x7F	;   
	addwf	PRODL,W,ACCESS	;
	btfsc	_C	;
	  incf	PRODH,F,ACCESS	;
	movff	PRODH,PcPwmFrqInd	;     
#else
	btfss	PCPWM_Flag1,6,ACCESS;   ;6=   ADC-0   
		bra	Encoder_Speed	;    
	movff ADC_Out+3,WREG	;    
	rrcf	WREG,W,ACCESS	;   2
	bcf		WREG,7,ACCESS	;    
	addlw	0x80	;      
	movff	WREG,PCPWM_WrkSpdBuf;
Encoder_Speed

#ifdef PCPWM_NoReverseKey; Yes	;  ""   -  ""
	btfss	PCPWM_Flag,4,ACCESS		;  -  / 
		bra		DoneForward	;
	movff	PCPWM_SpeedReal,WREG;   
	movf	WREG,W,ACCESS;   Z,N
		bnz	SetFlagStpRevStart;    =0 ?
	bcf	PCPWM_Flag,4,ACCESS		; / -    
		bra	DoneForward
SetFlagStpRevStart
	bsf	PCPWM_Flag1,4,ACCESS;4=  --  
DoneForward
#endif	;PCPWM_NoReverseKey; Yes	;  ""   -  ""
#endif	;PCPWM_Board ;    /  
 #endif ;PCPWM_Present

;**************

 incf	ADC_Step,F,bnk	;
 retlw	0x0
;--------------------------------------------------------------------
Step_2	;;   2  4 ( ,    17   10 
 ; 5V / (0.017  * 10 ) =29.4 )
 ;   30   9.6 ,     5V / (0.0096  * 10 ) =52.08
 ;btfss PCPWM_Flag1,5,ACCESS;5=  /    (    )	
 ;	bra	Done_S2;      
 ;      .
 ;        -     .
 ;  Adc_Corr+3; 4=   .
 movff_N	ADC_Out+4,Adc_AmpZero+0,2	;      -    
 movf	Adc_Corr+3,W,bnk	;
 mullw	0x10	;    0xFF * 0x10 = 0x1000      

;Sub16		macro		ArgB,A1B,ArgA,A1A 	;    -  
;						;   B=B-A 
 Sub16	Adc_AmpZero+0,bnk,PRODL,acs	;   
	bc	Done1_S2	;      - 
;     -    
 clrf	Adc_AmpZero+0,bnk	;    
 clrf	Adc_AmpZero+1,bnk	;   
Done1_S2

 #ifdef	PCPWM_Present
 movff	Par_A,WREG	;     
 subwf	Adc_AmpZero+1,W,BANKED;ACCESS; Subtract W from f
 bc	CurrentGt;  
 ;LED0_Clear;		bcf	LED0_PORT,LED0_Pin,ACCESS
 bra		Done_S2
CurrentGt;  
;	LED0_Set
 movlw	0x6	;  =7 (   )
 call MotorFault	;  PCPWM	
Done_S2
#endif
; FXM0808SL	Adc_Corr+2,bnk,d'13';     ""
; Add16L PRODL,acs,0x1eff*0x8;   495=0x1ef   F 
; FXM1616U2 ADC_Work+0,bnk	,ADC_Out+4,bnk	,PRODL,acs,	ADC_Work+7,bnk;
; RShift16_N	ADC_Work+2,bnk,3	; 3   2 
; movff_N ADC_Work+2,Adc_Volt+2,2;   -    
 FXM0808SL	Adc_Corr+1,	bnk,	d'47'	;     ""
;  ""   ,   
;      .
;            .
; Add16L 	PRODL,		acs,	0x7F*0x80; 7A   25=0x19   F,  7  

;  20,  ~17 ,  10 , 7 :
; Add16L 	PRODL,		acs,	0xEB4B;=2048*5/0.17   5/0,17     2048
;  60 235,   ""
; 65536 - 60 235 = 5 300 / 256 = 20 . 20*255= 5 100,        . 

;  30,  ~9.6 ,  10 , 6 , 64*16  :
 Add16L 	PRODL,		acs,	0xD055;=1024*5/0.096   5/0,096     1024
;  53 333,   ""
; 65536 - 53 333 = 12 303 / 256 = 47 . 47*255= 11 985,        . 

 FXM1616U2	ADC_Work+0,	bnk,	Adc_AmpZero+0,	bnk,	PRODL,	acs,	ADC_Work+7,	bnk;

 RShift16_N	ADC_Work+2,	bnk,	6	; 1   2  -  7  2  -   ,   .

 movff_N	ADC_Work+2,	Adc_Amp+0,	2;   -    
 incf	ADC_Step,F,bnk	;
 retlw	0x0
Step_3	;;   3  5 ( DC 500  )
; btfss PCPWM_Flag1,5,ACCESS;5=  /    (    )	
; 	bra	Done_S3 ;      
 #ifdef	PCPWM_Present
 movff	Par_V,WREG	;     
 subwf	ADC_Out+7,W,BANKED;ACCESS; Subtract W from f
 bc	VoltageGt;  
;  LED0_Clear;		bcf	LED0_PORT,LED0_Pin,ACCESS
 bra		Done_S3
VoltageGt;  
;	LED0_Set
 movlw	0x7	;  =8 (   )
 call MotorFault	;  PCPWM	
Done_S3
 #endif
 FXM0808SL	Adc_Corr+0,	bnk,	d'30'	;     ""
;     ""
;  1:100
; Add16L		PRODL,		acs,	0x1F4F*0x4;   500=0x1f4   F
;  1F4F*4=64120.-65536=1416/256=5   

;  1:110
 Add16L		PRODL,		acs,	0x226F*0x4;   550=0x226   F
;  226F*4=35260 65536-35260=30276/256=100   


 FXM1616U2	ADC_Work+0,	bnk,	ADC_Out+6,	bnk,	PRODL,	acs,	ADC_Work+7,	bnk;
 RShift16_N	ADC_Work+2,	bnk,	2		; 2   2 
 movff_N	ADC_Work+2,	Adc_Volt+0,	2	;   -    
 incf	ADC_Step,F,bnk	;
 retlw	0x0

Step_4;;=*, 16   16 =32 ,      
 FXM1616U2	ADC_Work+0,	bnk,	Adc_Volt+0,	bnk,	Adc_Amp+0,	bnk,	ADC_Work+7,	bnk;
 ;RShift16_N	ADC_Work+2,	bnk,	7	; 1   3  -  7  2 
 movff_N	ADC_Work+1,	Adc_Watt+0,	2;   -    
; incf	ADC_Step,F,bnk	;
 bcf ADC_Flag,1,acs;      
 bcf ADC_Flag,3,acs;   
 retlw	0x0

;*******************************************
; 08/03/2019      BRA
;        BRA
; .
;******************************************** 
ADC_Steps	;	   ""
	movf ADC_Step,W,BANKED;	 ""
;     - 
	sublw	d'8'	; Sub WREG from Literal
		bc	ADC_Steps1	;   ""
;	goto	ADC_EndCmd	;  ,  .
;ADC_EndCmd	; 
;	bcf		Math_Flag,1,ACCESS	;   
 bcf	ADC_Flag,0,ACCESS	;   
 bcf 	ADC_Flag,1,ACCESS;  1
 bcf 	ADC_Flag,2,ACCESS;  2
 bcf 	ADC_Flag,3,ACCESS;   

 clrf	ADC_Cmd,ACCESS		;
 clrf	ADC_Step,BANKED	;

	return	;

ADC_Steps1	;

 #ifdef	CompGoToTest
		Extern	CaseBra
	 movf ADC_Step,W,BANKED;	 ""
	 	call	CaseBra	;   WREG -     -  
;    2   BRA  RETLW
 #else
	BraReg	ADC_Step,BANKED;	  "" 
 #endif

 bra Step_0	;      
 bra Step_1	;    2 
 ;  RC     
 bra Step_2	; 
 bra Step_3	; 
 bra Step_4	; 
 bra Step_5	; 
 bra Step_6	; 
 bra Step_7	; 
 bra Step_8	; 
 bra Step_9	; 
; bra Step_10	; 
; bra Step_11	;  
; bra Step_12	; 
; bra Step_13	; 
; bra Step_14	;  
; bra Step_15	; 
; bra Step_16	; 
; bra Step_17	; 
; bra Step_18	; 
; bra Step_19	; 
; bra Step_20	;
; bra Step_21	;
; bra Step_22	;
; bra Step_23	;
; bra Step_24	;
; bra Step_25	;
; bra Step_26	;
; bra Step_27	;
; bra Step_28	;
; bra Step_29	;
; bra Step_30	;
; bra Step_31	;
; bra Step_32	;
; bra Step_33	;
; bra Step_34	;
; bra Step_35	;
; bra Step_36	;
; bra Step_37	;
; bra Step_38	;
; bra Step_39	;
; bra Step_40	;
; bra Step_41	;
; bra Step_42	;
; bra Step_43	;
; bra Step_44	;
; bra Step_45	;
;
; -    
;	retlw	0x01	;
;	retlw	0x02	;
;	retlw	0x03	;
;	retlw	0x04	;
;	retlw	0x05	;
;	retlw	0x06	;
;


;     
Step_5;;   4 ()
 FXM0808SL	Adc_Corr+4,	bnk,	d'13'	;     ""
 Add16L 	PRODL,		acs,	0x19f*0x80;   25=0x19   F,  7  
 FXM1616U2	ADC_Work+0,	bnk,	ADC_Out+8,	bnk,	PRODL,	acs,	ADC_Work+7,	bnk;
 RShift16_N	ADC_Work+2,	bnk,	7	; 1   3  -  7  2 
 movff_N	ADC_Work+2,	Adc_Amp+4,	2;   -    
 incf	ADC_Step,F,bnk	;
 retlw	0x0

Step_6	;
 FXM0808SL	Adc_Corr+5,	bnk,	d'13'	;     ""
 Add16L 	PRODL,		acs,		0x19f*0x80	;   25=0x19   F,  7  
 FXM1616U2	ADC_Work+0,	bnk,	ADC_Out+A,	bnk,	PRODL,	acs,	ADC_Work+7,	bnk;   
 LShift24_N	ADC_Work+1,	bnk,	1	; 1   3  -  7  2 
 movlw		0x1						;    		
 andwf		ADC_Work+3,	bnk			;  7 
 movff_N	ADC_Work+2,	Adc_Amp+4,	2	;   -    
 incf	ADC_Step,F,bnk	;
 retlw	0x0

Step_7;
 FXM0808SL	Adc_Corr+6,	bnk,	d'13'	;     ""
 Add16L 	PRODL,		acs,	0x19f*0x80		;   25=0x19   F,  7  
 FXM1616U2 	ADC_Work+0,	bnk,	ADC_Out+8,	bnk,	PRODL,	acs,	ADC_Work+7,	bnk;
 LShift24_N	ADC_Work+1,	bnk,	1		; 1   3  -  7  2 
 movlw		0x1						;    		
 andwf		ADC_Work+3,	bnk			;  7 
 movff_N 	ADC_Work+2,	Adc_Amp+4,	2	;   -    
 incf	ADC_Step,F,bnk	;
 retlw	0x0

Step_8	;
 FXM0808SL	Adc_Corr+7,	bnk,	d'13'	;     ""
 Add16L		PRODL,		acs,	0x19f*0x80;   25=0x19   F,  7  
 FXM1616U2	ADC_Work+0,	bnk,	ADC_Out+8,	bnk,	PRODL,	acs,	ADC_Work+7,	bnk;
 LShift24_N	ADC_Work+1,	bnk,	1		; 1   3  -  7  2 
 movlw		0x1						;    		
 andwf		ADC_Work+3,	bnk			;  7 
 movff_N	ADC_Work+2,	Adc_Amp+6,	2	;   -    
 incf	ADC_Step,F,bnk	;
 retlw	0x0

Step_9;
 bcf ADC_Flag,2,acs;      
 bcf ADC_Flag,3,acs;   
 retlw	0x0

; incf	ADC_Step,F,bnk	;
; retlw	0x0

;Step_10;
;Step_11;
;Step_12;
;Step_13;
;Step_14;
;Step_15;	
;Step_16;
;Step_17;	
;Step_18;
;Step_19;	
;Step_20; 
;Step_21
;Step_22
;Step_23
;Step_24
;Step_25
;Step_26
;Step_27
;Step_28; 
;Step_29
;Step_30
;Step_31
;Step_32
;Step_33
;Step_34
;Step_35
;Step_36
;Step_37
;Step_38
;Step_39
;Step_40
;Step_41
;Step_42
;Step_43
;Step_44
;Step_45
;
; bcf ADC_Flag,2,acs;      
; bcf ADC_Flag,3,acs;   
; retlw	0x0
;
; EndTask
; retlw	0x0
;	return	0
