;  ************************     ************************-
; Define_LCD_Key_Enc.inc #define ParamDelta ;     

;    21,  
;   PCPWM_3F\Parameters_PSW_12b.xls\Param

Msg21	db	d'01',0x12	; 00=  
	dw	Encoder_Count	;   
 #ifdef	CyrTable
  db 						". ="	;  
 #else
  db 						"Debounce Time="	;/ 
 #endif
	db	0x17,d'03',d'28',0x12;      - 2 
		dw					LCD_DebounceTimeOut;
	db		0	;  

Msg22	db	d'01',0x12	; 01=   
	dw	Encoder_Count	;  - 16 
 #ifdef	CyrTable
  db 						"  ="	; 
 #else
  db 						" Motor Number="	;  
 #endif
 #ifdef	PCPWM_Present
	db	0x17,d'00',d'15',0x10; Hex   - 2 
		dw					PCPWM_MotorNum		;
 #endif
	db		0	;   

Msg23	db	d'01',0x12	; 02= 
	dw	Encoder_Count	; 
 #ifdef	CyrTable
  db 						"="	;
 #else
  db 						"OverCurrent A="	;
 #endif
 #ifdef	PCPWM_Present
	db	0x17,0x01,0xff,0x10	; Hex   - 2 
		dw					Par_A				;
 #endif
	db		0	;   

Msg24	db	d'01',0x12	; 03= "" - 
	dw	Encoder_Count	;    18 750 
	;  03   Proj_Dir\LCD_Key_Enc\Task_Keys.inc~93
 #ifdef	CyrTable
  db 						"    ="	;  
 #else
  db 						"   Accelerate="	;  
 #endif
 #ifdef	PCPWM_Present
	db	0x17,0x01,0xff,0x10	; Hex   - 2 
		dw					PCPWM_Accelerate	;
;     :
 db 0x16,d'64',	"Spd=", 0x10 ; Hex   - 2 
		dw					PCPWM_Speed			;
 db ", MaxSpd=",0x10	; Hex   - 2 
		dw					PCPWM_MaxSpdIndx	;
 #endif
	db		0	;   

Msg25	db	d'01',0x12	;   
	dw	Encoder_Count	;    
 #ifdef	CyrTable
  db 						" ="	;  
 #else											;  
  db 						"  Speed Motor="	;   
 #endif
 #ifdef	PCPWM_Present
	db  0x17,0x01,0xff,0x10 ; Hex   - 2 
		dw					PCPWM_Speed			;

;     :
 db 0x16,d'64'
  db	"RPM="							; 
  db	0x13 ;5  BCD-16 ; 	;
		dw	PCPWM_SpdPrint			;  
  db	", Amp="							; 

 #ifdef	PCPWM_12b;	 Yes	; 12    8  -   
 	db 0x11;;   Hex - 4 
 #else
 	db 0x10;;   Hex - 2 
 #endif
	dw PCPWM_AmpSin ;  

 #endif
	db		0	;   

Msg26	db	d'01',0x12	;  
	dw	Encoder_Count	;   
 #ifdef	CyrTable
  db 						" = "	;  
 #else										;  =0  
  db 						"Auto Start= "	;  = 
 #endif
 #ifdef	PCPWM_Present
	db  0x17,0x00,0x00,0x14 ;     4 
		dw					PCPWM_AutoStart		;
 #endif
	db		0	;   

Msg27	db	d'01',0x12	;  
	dw	Encoder_Count	;    
 #ifdef	CyrTable
  db 						". .="	; 
 #else											; 
  db					 	"    V/F Start="	;
 #endif
 #ifdef	PCPWM_Present
	db	0x17,0x00,0xff,0x10	; Hex   - 2 
		dw					PCPWM_VFStart		;	
;     :
 db 0x16,d'64'
  db	"Spd="							; 
  db	0x10 ;2  					;
		dw					PCPWM_Speed	;
  db	", Amp="						; 
 #ifdef	PCPWM_12b;	 Yes	; 12    8  -   
 	db 0x11;;   Hex - 4 
 #else
 	db 0x10;;   Hex - 2 
 #endif
	dw PCPWM_AmpSin ;  
 #endif
	db		0	;   

Msg28	db	d'01',0x12	;   
	dw	Encoder_Count	;    
 #ifdef	CyrTable
  db 						"..="	; 
 #else											; 
  db 						"      V/F Amp="	;
 #endif
 #ifdef	PCPWM_Present
	db	0x17,0x00,0xff,0x10	; Hex   - 2 
	dw						PCPWM_Amp			;
;     :
 db 0x16,d'64'
  db	"Spd="							; 
  db	0x10 ;2  					;
		dw					PCPWM_Speed	;
  db	", Amp="						; 
 #ifdef	PCPWM_12b;	 Yes	; 12    8  -   
 	db 0x11;;   Hex - 4 
 #else
 	db 0x10;;   Hex - 2 
 #endif

	dw PCPWM_AmpSin ;  
 #endif
	db		0	;   

Msg29	db	d'01',0x12	;  
	dw	Encoder_Count	;    
 #ifdef	CyrTable
  db 						"..="	;  24    
 #else											;     8 
  db 						"MAX Spd Index="	;  16   
 #endif
 #ifdef	PCPWM_Present
	db	0x17,0x00,0xff,0x10	; Hex   - 2 
		dw					PCPWM_MaxSpdIndx	;

;     :
 db 0x16,d'64'
  db	"Spd="						; 
  db	0x10 ;2  				;
		dw			PCPWM_Speed		;
  db	", RPM="					; 
 db 0x13 ;5  BCD-16 			; 
		dw			PCPWM_SpdPrint	;  
 #endif
	db		0	;   

Msg30	db	d'01',0x12	;     -
	dw	Encoder_Count	;    
 #ifdef	CyrTable
  db 						".. ="	;  24    
 #else											;     8 
  db 						"PWM Freq Indx="	;  16   
 #endif
 #ifdef	PCPWM_Present
	db	0x17,d'0',d'20',0x12;      - 2 
		dw					PcPwmFrqInd			;
 #endif
	db		0	;   

Msg31	db	d'01',0x12	;    
	dw	Encoder_Count	;   -    
 #ifdef	CyrTable
  db 						" ="	;    
 #else											;   
  db 						"LineAngleDelt="	; (45/72/90/120 )
 #endif
 #ifdef	PCPWM_Present
	db	0x17,d'0',d'3',0x12;      - 2 
		dw					PcPwmAngInd			;    
 #endif
	db		0	;   

Msg32	db	d'01',0x12	;   
	dw	Encoder_Count	;  
 #ifdef	CyrTable
  db 						"..="	;    
 #else											;   
  db 						"Ctrl.Programm="	; (45/72/90/120 )
 #endif
 #ifdef	PCPWM_Present
	db	0x17,d'0',d'10',0x12;      - 2 
		dw					PcPwmProg	;    
 #endif
	db		0	;   

Msg33	db	d'01',0x12	;      DC
	dw	Encoder_Count	;      
 #ifdef	CyrTable
  db 						" ="	;    DC
 #else											;  , 
  db 						" UnderVolt UV="	; 150-300 
 #endif
 #ifdef	PCPWM_Present
	db	0x17,0x00,0xff,0x10	; Hex   - 2 
		dw					Par_UV;
 #endif
	db		0	;   

Msg34	db	d'01',0x12	;
	dw	Encoder_Count	;
 #ifdef	CyrTable
  db 						"="	;    DC
 #else											;  , 
  db 						"OverVoltage V="	; 150-300 
 #endif
 #ifdef	PCPWM_Present
	db	0x17,0x00,0xff,0x10	; Hex   - 2 
		dw					Par_V;
 #endif
	db		0	;   

Msg35	db	d'01',0x12	;
	dw	Encoder_Count	;
 #ifdef	CyrTable
  db 						". ="	;    DC
 #else											;  , 
  db 						"OverV. Stop V="	;    
 #endif
 #ifdef	PCPWM_Present
	db	0x17,0x00,0xff,0x10	; Hex   - 2 
		dw					Par_VS;
;     :
 db 0x16,d'64'
 #ifdef	CyrTable
  db "="
 #else						
  db "MSt="
 #endif
 db 0x10	;    - 2 
	dw	PCPWM_MotorStatus	;      
 db	", V =",0x10	;
  	dw	ADC_Out+7	;    
 #endif
	db		0	;   

Msg36	db	d'01',0x12	;    
	dw	Encoder_Count	;    
 #ifdef	CyrTable
  db 						" ="	;    
 #else											;   ,
  db 						"Termist Fault="	; 150-300 
 #endif
 #ifdef	PCPWM_Present
	db	0x17,0x00,0xff,0x10	; Hex   - 2 
		dw					Par_T;
;     :
 db 0x16,d'64',0x10	;    - 2 
	dw	ADC_Out+1	;    0 = 
 db	", Temp=",0x19	;
  	dw	Adc_Volt+2	;  IRAMX

 #endif
	db		0	;   

Msg37	db	d'01',0x12	;     
	dw	Encoder_Count	;    1 
 #ifdef	CyrTable
  db 						"W1 .="		;    
 #else											;   ,
  db 						"W1 Temp Flt="		;  1 
 #endif
 #ifdef	W1_Pin
	db 0x17,0x83,0x7d,0x14 ;     4 
		dw					Par_K;
;     :
;db DS1820_ScratctPad+2,0x10,DS1820_ScratctPad+3,0x10,DS1820_ScratctPad+4,0x10,DS1820_ScratctPad+5,0x10;8 byte 
;db DS1820_ScratctPad+6,0x10,DS1820_ScratctPad+7,0x10,DS1820_ScratctPad+8,0x10,DS1820_CRC,0	
 db 0x16,d'64';,"SP=";       
	 		db 0x10		;2  
		dw	DS1820_ScratctPad+0	; 
	 		db 0x10		;2  
		dw	DS1820_ScratctPad+1	; 
	 		db 0x10		;2  
		dw	DS1820_ScratctPad+2	; 
	 		db 0x10		;2  
		dw	DS1820_ScratctPad+3	; 
	 		db 0x10		;2  
		dw	DS1820_ScratctPad+4	; 
	 		db 0x10		;2  
		dw	DS1820_ScratctPad+5	; 
	 		db 0x10		;2  
		dw	DS1820_ScratctPad+6	; 
	 		db 0x10		;2  
		dw	DS1820_ScratctPad+7	; 
;	 		db 0x10		;2  
;		dw	DS1820_ScratctPad+8	; 
		db ","					;0x10		;2  
	 		db 0x10		;2  
		dw	DS1820_CRC	; 
 #endif
	db		0	;   

Msg38	db	d'01',0x12	;     
	dw	Encoder_Count	;    1 
 #ifdef	CyrTable
  db 						"W1  1="		;    
 #else											;   ,
  db 						"W1 Tmp1 Flt="		;  1 
 #endif
 #ifdef	W1_Pin
	db 0x17,0x83,0x7d,0x14 ;     4 
		dw					Par_K1;
 #endif
	db		0	;   

Msg39	db	d'01',0x12	;   
	dw	Encoder_Count	;   DC  
 #ifdef	CyrTable
  db 						"DC="	; 1000  
 #else											;  
  db 						"DC Compensate="	;  DC
 #endif
 #ifdef	PCPWM_Present
	db	0x17,0x00,0xff,0x10	; Hex   - 2 
		dw					PcDC_Kf	;    DC
 #endif
	db		0	;   

Msg40	db	d'01',0x12	;   DC 
	dw	Encoder_Count	;    
 #ifdef	CyrTable
  db 						"DC="	; 1000  
 #else											;  
  db 						"  DC Nominal ="	;  DC
 #endif
 #ifdef	PCPWM_Present
	db	0x17,0x00,0xff,0x10	; Hex   - 2 
		dw					PcDC_VN	;   DC 
 #endif
	db		0	;   

Msg41	db	d'01',0x12	;    
	dw	Encoder_Count	;   
 #ifdef	CyrTable
  db 						"="	;   PCPWM
 #else											;   
  db 						"TimeChargeCap="	;  PDC   
 #endif
 #ifdef	PCPWM_Present
	db	0x17,0x00,0xff,0x10	; Hex   - 2 
		dw					PcPwmTopDT	;,F,BANKED;        
 #endif
	db		0	;   

Msg42	db	d'01',0x12	;    
	dw	Encoder_Count	;   
 #ifdef	CyrTable
  db 						"DTCON="	;   
 #else											;   
  db 						"DeadTimeDTCON="	;   
 #endif
 #ifdef	PCPWM_Present
	db	0x17,0x00,0x3f,0x10	; Hex   - 2 
		dw DtConBuf	;  DTCON    
;     :
 db 0x16,d'64',"DTCON=",0x10	; Hex   - 2 
		dw	DTCON	; REGISTER 17-5: DTCON  DEAD TIME CONTROL REGISTER		

;db	", Zero=",0x11	;    - 4 
;		dw Adc_AmpZero+0;  DC    
 #endif
	db		0	;   

Msg43	db	d'01',0x12	;   
	dw	Encoder_Count	;  
 #ifdef	CyrTable
  db 						" .="	;   
 #else											;   - 
  db 						"I Zero Adjust="	;   
 #endif
 #ifdef	ADC_Present
	db	0x17,0x00,0x00,0x10	; Hex   - 2 
		dw					Adc_Corr+3			;
;        
;      

;     :
 db 0x16,d'64',0x11	;    - 4 
		dw ADC_Out+4	;    2 =  DC
 db	", Zero=",0x11	;    - 4 
		dw Adc_AmpZero+0;  DC    
  #endif
	db		0	;   

Msg44	db	d'01',0x12	; 21 =   
	dw	Encoder_Count	;  
 #ifdef	CyrTable
  db 						" ="		;    
 #else											;    
  db 						"I  Adjust = "		;   
 #endif
 #ifdef	ADC_Present
	db	0x17,0x00,0x00,0x14;0x14 ;    
		dw					Adc_Corr+1			;
;      
;      

;     :
 db 0x16,d'64',0x11	;    - 4 
		dw ADC_Out+4	;    2 =  DC
 db	", Zero=",0x11	;    - 4 
		dw Adc_AmpZero+0;  DC    
  #endif
	db		0	;   

Msg45	db	d'01',0x12	;  
	dw	Encoder_Count	;  
 #ifdef	CyrTable
  db 						" ="		;    
 #else											;    
  db 						"550V Adjust="		;   
 #endif
 #ifdef	ADC_Present
	db	0x17,0x00,0x00,0x14;0x14 ;    
		dw					Adc_Corr+0			;
;      
;      

;     :
 db 0x16,d'64',0x11	;    - 4 
		dw ADC_Out+6	;   3 =  DC
 #endif
	db		0	;   

Msg46	db	d'01',0x12	;   
	dw	Encoder_Count	;   
 #ifdef	CyrTable
  db 						".="		;    
 #else											;    
  db 						"Termist Adj="		;  
 #endif
 #ifdef	ADC_Present
	db	0x17,0x00,0x00,0x14;0x14 ;    
		dw					Adc_Corr+2			;

;     :
 db 0x16,d'64',"T=",0x19	;      .
  	dw	Adc_Volt+2			;  IRAMX
; db 0x16,d'71',"T="			;
 #endif
	db		0	;   

Msg47	db	d'01',0x12	;   6  , 
	dw	Encoder_Count	;  4 
 #ifdef	CyrTable
  db 						" 4 ="	;  
 #else											;   
  db 						" Variant 4s=  "	; 
 #endif
 	db	0x17,d'53',d'58',0x12;      2 
		dw					LCD_6_4				;

	db		0;  
Msg48;
Msg49;
Msg50;
Msg51;
Msg52	db	d'01',0x12	;  
	dw	Encoder_Count	;  
 #ifdef	CyrTable
  db 						" ="	;  
 #else											;  
  db						"   Delay Test="	; 
 #endif
 #ifdef	PCPWM_Present
	db	0x17,0x01,0xff,0x10	; Hex   - 2 
		dw	DelayCuriosityIndex	;
 #endif
	db		0	;   

Msg53 ; 4  6  
 db	d'84'	;        
 db 0x16,d'84',"1=",0x19;;   
  #ifdef	ADC_Present
 	dw	Adc_Volt+0	;
 db "V,",0x19;   
	dw	 Adc_Amp+0	;
 #endif
  db "A,",0x10;;   Hex - 2 
	dw	PortB_Buf;,0;  4 
 db 0;   4  6 

Msg54 ; 4  6  
 db	d'84'	;        
 db 0x16,d'84',"2=",0x19;;   
  #ifdef	ADC_Present
 	dw	Adc_Volt+2
 db "C,",0x19;   
	dw	 Adc_Amp+2;
  #endif
 db "A,",0x10;;   Hex - 2 
	dw	KeyBuf;,0;  4 
 db 0;   4  6 

Msg55 ; 4  6  
 db	d'84'	;        
 db 0x16,d'84',"3=",0x19;;   
  #ifdef	ADC_Present
 	dw	Adc_Volt+4
 db "V,",0x19;   
	dw	 Adc_Amp+4,"A,"; 4    
 #endif
 db 0;   4  6 

Msg56 ; 4  6  
 db	d'84'	;        
 db 0x16,d'84',"4=",0x19;;   
  #ifdef	ADC_Present
 	dw	Adc_Volt+6
 db "V,",0x19;   
	dw	 Adc_Amp+6,"A,"; 4    
 #endif
 db 0;   4  6 

Msg57 ; 4  6  
 db	d'84'	;        
 #ifdef	ADC_Present
 db 0x16,d'84',0x11;;   
 	dw	ADC_Out
 db "M=",0x11;   
	dw	ADC_Max_Out;,","; 4    
 db "  E",0x10;;   Hex - 2 
	dw	ADC_ERR_Counter	;
 #endif
 #ifdef	PCPWM_Present		; 
 db 0x10;;   Hex - 2 
	dw	PCPWM_Err	; 
 #endif						; 
 db " ",0x10;;   Hex - 2 
	dw	KeyBuf;,0;  4 
 db 0;   4  6 
Msg58
Msg59
Msg60 ; 4  6  
 db	d'84'	;        
 db 0x16,d'84',"5=",0x10;;   
  #ifdef	ADC_Present
 	dw	ADC_Out+0x1	;    0  2 
 db 0x10;   
	dw	ADC_Out+0x3	;    1  3  IRAMX
 db 0x10;   
	dw	ADC_Out+0x5	;    2  4  
 db 0x10;   
	dw	ADC_Out+0x7	;    3  5  
 db 0x10;   
	dw	ADC_Out+0x9	;    8  10
 db 0x10;   
	dw	ADC_Out+0xB	;    5  7
 db 0x10;   
	dw	ADC_Out+0xD	;    6  8
 db 0x10;   
	dw	ADC_Out+0xF	;    7  9
 #endif
 db "  ",0;   4  6 

	 db 0,0,0;   

 
