; 					Include for:
;    Filename: Interrupt_Low.Asm                  *
;  Return    
 ;#define	RTK_Return	retfie FAST	;   
 ;#define	RTK_Return	return		;     
 #define	RTK_Return	bra	ExitRtkInt;    

Int_Rtk:
			RTK_Page	;   Real Time Keep

; call	DelayCuriosity	;	    

 #ifdef	RTK_ADC_Source	
;*******************************************
; 48 000 000 / (32*20*4) = 18 750     
;*******************************************
;*******************************************
;  2 50 000 000 / (32*16*4) = 24 414.0625     
;*******************************************

;#ifdef	W1_Pin
;	btfsc	W_1_Flg,5,ACCESS;5=       -   
; 	 bsf	W_1_Flg,0,ACCESS;  1-Wire  ,   ,   1-W,
; #endif	;W1_Pin
;
		INCF 	Tic_18750_Counter,F,ACCESS ; ;     1/18750 s
	decfsz	Tic_18750,F,BANKED ; Decrement tics 1/18750 s
		bra	Counter_100;Int_ADC	;  
;  ""   1   ,  
;   1      . 
	movlf ADC_Divisor,Tic_18750,BANKED;  24,  1017   
 #endif


;*******************************************
; 1000     
;   /  /    .
;     
;*******************************************
		INCF 	Tic_1000_Counter,F,ACCESS ; ;     1/1000 s

 bsf TaskFlag1,2,ACCESS ;    1000        
 bsf TaskFlag1,6,ACCESS ;  1000 

 #ifdef Beeper_Present
 #ifdef Beeper_Tone	;     
 #else	;  
	tstfsz	Beep,ACCESS	 ; 
	Beeper_Toggle		 ;  
	tstfsz	Beep,ACCESS	 ; 
	decf	Beep,F,ACCESS; 
 #endif ;#ifdef Beeper_Tone
 #endif ;#ifdef Beeper_Present



 #ifndef	RTK_ADC_Source	;
; ***    0xD120  12   1/1   1 
;     0xD12F -  
	bcf		T1CON,TMR1ON,ACCESS		;     
	movff	TMR1L,TimerBuf	;   
; ***     
		decfsz	Tic_1000,F,BANKED ; Decrement tics 1/1000 s
			bra	Tim1_Corr	;      10 
		movlf d'10',Tic_1000,BANKED;10 ticss 
 #else



Counter_100:
	decfsz	Tic_1000,F,BANKED ; Decrement tics for 1/100 s
			bra	Counter_10;Int_ADC	;  
;  ""   1   ,  
;   1      . 
	movlf	ADC_Div100,Tic_1000,BANKED;  195,  100,16    50 
 #endif

;*******************************************
; 100     
;*******************************************
			INCF 	Tic_100_Counter,F,ACCESS ;     1/100 s
 bsf TaskFlag1,2,ACCESS	;    100        
 bsf TaskFlag1,4,ACCESS	; ;4=    100   10  - 
 bsf TaskFlag1,5,ACCESS	; ;5=  100 

	#ifdef	PCPWM_Present		; 
 bsf	PCPWM_Flag,1,ACCESS	;      100 
	#endif						;  




 #ifndef	RTK_ADC_Source	;
		decfsz	Tic_100,F,BANKED ; Decrement tics 1/100 s
			bra	Tim1_Corr	;      100  ;
		movlf d'10',Tic_100,BANKED;10 tics 
 #else

Counter_10: 
	decfsz	Tic_100,F,BANKED ; Decrement LSB tics for 1/10 s
		RTK_Return;bra	Int_ADC	;   
	decfsz	Tic_100+1,F,BANKED ; Decrement MSB tics for 1/10 s
		RTK_Return;bra	Int_ADC	;   
	btfsc	 LCD_Flg1,6,ACCESS	;;6=   1   
		bra	Correct1Value
	movlf low(ADC_Div10),Tic_100,BANKED;10 tics LSB
	movlf high(ADC_Div10),Tic_100+1,BANKED;10 tics MSB
		bra	DoneCounter_10
Correct1Value	; 1       -   
	bcf	 LCD_Flg1,6,ACCESS	;;6=   1   
	movlf low(ADC_Div_1),Tic_100,BANKED;10 tics LSB
	movlf high(ADC_Div_1),Tic_100+1,BANKED;10 tics MSB
DoneCounter_10
 #endif

;*******************************************
; 10     
;*******************************************
			INCF 	Tic_10_Counter,F,ACCESS ;     1/10 s
			bsf		TaskFlag1,0,ACCESS		;  10     -1  

 
 #ifndef	RTK_ADC_Source	;
	movlw	0x6F ; ArgA	;,W,A	;   +5 ,   +2 - 
;         0x6F  10        
;        .
;Add16		macro		ArgB,A1B,ArgA,A1A ;    -  
	addwf	TimAdd,W,ACCESS ; *********        
;   256,   
	addwf	TimerBuf,F,ACCESS	; 	;  + ,   =B+A

	movlw	0xD1; ArgA+1,W,A1A	;   
	btfsc	_C		;     
	incfsz	WREG,W,ACCESS	;      1,
	addwf	TMR1H,F,ACCESS	;     -   
	
	movff	TimerBuf,TMR1L	;  
	bsf		T1CON,TMR1ON,ACCESS		;  
 		RTK_Return;return	;
Tim1_Corr
	movlw	0x2F ; ArgA	;,W,A	;   +5 ,   +2 - 
	addwf	TimerBuf,F,ACCESS	; 	;  + ,   =B+A

	movlw	0xD1; ArgA+1,W,A1A	;   
	btfsc	_C		;     
	incfsz	WREG,W,ACCESS	;      1,
	addwf	TMR1H,F,ACCESS	;     -   
	
	movff	TimerBuf,TMR1L	;  
	bsf		T1CON,TMR1ON,ACCESS		;  
;		RTK_Return;return
 #endif

ExitRtkInt;